org.apache.commons.io.input

## Interface Tailer.Tailable

- Enclosing class:
    Tailer

      public static interface Tailer.Tailable

  A tailable resource like a file.
  Since:
    2.12.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tailer.RandomAccessResourceBridge` | `getRandomAccess(String mode)` Creates a random access file stream to read.
    `boolean` | `isNewer(FileTime fileTime)` Tests if this tailable is newer than the specified `FileTime`.
    `FileTime` | `lastModifiedFileTime()` Gets the last modification `FileTime`.
    `long` | `size()` Gets the size of this tailable.

- - ### Method Detail

    - #### getRandomAccess

          Tailer.RandomAccessResourceBridge getRandomAccess(String mode)
                                                     throws FileNotFoundException

      Creates a random access file stream to read.
      Parameters:
        `mode` - the access mode, by default this is for `RandomAccessFile`.
      Returns:
        a random access file stream to read.
      Throws:
        `FileNotFoundException` - if the tailable object does not exist.

    - #### isNewer

          boolean isNewer(FileTime fileTime)
                   throws IOException

      Tests if this tailable is newer than the specified `FileTime`.
      Parameters:
        `fileTime` - the file time reference.
      Returns:
        true if the `File` exists and has been modified after the given `FileTime`.
      Throws:
        `IOException` - if an I/O error occurs.

    - #### lastModifiedFileTime

          FileTime lastModifiedFileTime()
                                 throws IOException

      Gets the last modification `FileTime`.
      Returns:
        See `Files.getLastModifiedTime(Path, LinkOption...)`.
      Throws:
        `IOException` - if an I/O error occurs.

    - #### size

          long size()
             throws IOException

      Gets the size of this tailable.
      Returns:
        The size, in bytes, of this tailable, or `0` if the file does not exist. Some operating systems may return `0` for path names denoting system-dependent entities such as devices or pipes.
      Throws:
        `IOException` - if an I/O error occurs.

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.